[@bigcommerce/checkout-sdk](../README.md) / StyleOptions

# Interface: StyleOptions

## Table of contents

### Properties

- [base](StyleOptions.md#base)
- [error](StyleOptions.md#error)
- [placeholder](StyleOptions.md#placeholder)
- [validated](StyleOptions.md#validated)

## Properties

### base

• `Optional` **base**: [`CssProperties`](CssProperties.md)

Base styling applied to the iframe. All styling extends from this style.

___

### error

• `Optional` **error**: [`CssProperties`](CssProperties.md)

Styling applied when a field fails validation.

___

### placeholder

• `Optional` **placeholder**: [`CssProperties`](CssProperties.md)

Styling applied to the field's placeholder values.

___

### validated

• `Optional` **validated**: [`CssProperties`](CssProperties.md)

Styling applied once a field passes validation.
